name: Auth Warden
description: Authenticate with Bitwarden and retrieve dynamic secrets
author: Jamie Schouten

inputs:
  email:
    description: 'Bitwarden email'
    required: true
  password:
    description: 'Bitwarden password'
    required: true
  server:
    description: 'Bitwarden server'
    required: false
    default: ${{ vars.WARDEN_URL }}
  client-id:
    description: 'Bitwarden client id'
    required: true
  client-secret:
    description: 'Bitwarden client secret'
    required: true
  secrets:
    description: "One or more secret Ids to retrieve and the corresponding Gitea environment variable name to set"
    required: true

runs:
  using: "node20"
  main: "dist/index.js"